Skip to content

List webhook endpoints

GET/v1/webhook-endpoints

Requires an API client bearer token.

Lists webhook endpoints for the authenticated tenant. Cursor-paginated.

Parameters

Query parameters

NameRequiredDescription
limitoptional
starting_afteroptional
programme_idoptional

Example

curl https://api.rigid.fi/v1/webhook-endpoints \
  -H "Authorization: Bearer $RIGID_API_TOKEN"

Responses

200

A page of webhook endpoints (signing secrets are never included).

dataarray of objectrequired
+ show properties
idstringrequired
urlstringrequired
event_typesarray of stringrequired
activebooleanrequired
created_atstringrequired
programme_idstring (uuid) | nullrequired
has_morebooleanrequired
next_cursorstring | nullrequired
400

Validation error

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
401

Authentication required

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
403

Forbidden

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring
500

Internal server error

typestringrequired
titlestringrequired
statusintegerrequired
detailstring
instancestring